//-----------------------------------------------------------------------------
// Title      : bsp_ub020_mk3_fat16
//-----------------------------------------------------------------------------
// Funktion   : SD-Card Test
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 18.09.2010
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LCD.h>
#include <ub_mk3_2560/MK3_2560_FAT16.h>

//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-C+A muss gesetzt sein
// - testet ob eine SD-Karte eingelegt ist
// - test ob eine Datei vorhanden ist
// - einlesen von Strukturelementen
// - anzeigen vom ersten Element 
//-----------------------------------------------------------------------------

// struktur der Messwerte
struct daten{
  unsigned int lfd_nr;
  int messwert;
  bool fehler;
};

int main (void)
{
	bool s_ok=false;
	File *myFile;
	daten mwert[20];           // anlegen von 200 Messwerten
    int anz_mwert=0;
	
	MK3_INIT_LCD();					// init des LCD
	
	MK3_LCD_CLEAR();				// LCD loeschen
	MK3_LCD_LIGHT(true);			// beleuchtung einschalten
	
	MK3_INIT_FAT16();
	
	MK3_LCD_STRING_AT(0,0,"suche SD-Karte:");
	
	s_ok=MK3_FAT16_CHKDSK();

	
	if(s_ok==true) {
		MK3_LCD_STRING_AT(0,8,"Karte gefunden");
		if(myFile=F21_fopen_("messung.dat",'r')) { // daten werden gelesen
		  anz_mwert=F23_fread_(mwert,sizeof(mwert),18,myFile);   // lesen von max 18 Datenstze
		  F22_fclose_(myFile);
		  MK3_LCD_STRING_AT(0,16,"ok");
          MK3_LCD_UINT_AT(0,32,anz_mwert);
		  MK3_LCD_STRING_AT(24,32," Daten gelesen");
		  
		  MK3_LCD_STRING_AT(0,40,"Messwert 0 =");
		  MK3_LCD_UINT_AT(80,40,mwert[0].messwert);
		}
		else {
		  MK3_LCD_STRING_AT(0,16,"File not found");
		}
	}
	else {
		MK3_LCD_STRING_AT(0,8,"...keine Karte");
	}
	

	while (true)
	{
	
	}
	return 0;
}
//-----------------------------------------------------------------------------






